<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Config;

use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Infrastructure\Config\Abstraction\AbstractSingleConfig;
/**
 * Class TemplateConfig, configuration class for templates.
 *
 * @package WPDesk\Library\DropshippingExport\Config
 */
class TemplateConfig extends AbstractSingleConfig
{
    const ID = 'templates';
    public function get(): array
    {
        $dir = $this->get_config()->get_param('plugin.dir')->get();
        $core_dir = $this->get_config()->get_param('plugin.core_dir')->get();
        return ['dir' => $dir . 'src/Plugin/Template/', 'form_fields_dir' => $dir . 'src/Plugin/Template/FormFields/', 'core_dir' => $core_dir . 'src/Template/', 'core_form_fields_dir' => $core_dir . 'src/Template/FormFields/'];
    }
    public function get_id(): string
    {
        return self::ID;
    }
}
